<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The SXR Formatter</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="processors.html" title="Chapter 4. Processor Design" /><link rel="prev" href="html-formatter.html" title="The HTML Formatter" /><link rel="next" href="executable.html" title="Appendix A. Description of program options for the synopsis executable" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The SXR Formatter</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="html-formatter.html">Prev</a> </td><th width="60%" align="center">Chapter 4. Processor Design</th><td width="20%" align="right"> <a accesskey="n" href="executable.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sxr-formatter"></a>The SXR Formatter</h2></div></div></div><p>The SXR formatter is a variant of the HTML formatter. However, as its
        focus is not so much documentation as code navigation, there are a number
        of important differences. Its default set of views is different, and instead
        of displaying listings of all identifiers on static html, it loads a database
        of (typed) identifiers and provides an interface to query them.</p><div class="mediaobject" align="center"><img src="images/sxr-screenshot.png" align="middle" width="432" /></div><p>It is to be used with an http server, either a default http server
        such as apache in conjunction with the <span class="emphasis"><em>sxi.cgi</em></span> script
        that is part of Synopsis, or by using the <span class="emphasis"><em>sxr-server</em></span>
        program. The latter performs better, as the database is kept in-process,
        while in case of sxi.cgi it needs to be reloaded on each query.</p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="html-formatter.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="processors.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="executable.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The HTML Formatter </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Appendix A. Description of program options for the synopsis executable</td></tr></table></div></body></html>
